GNUNET-ATS(1)

NAME
gnunet-ats - display information about transport resource allocation

SYNOPSIS
gnunet-ats [-a | --all] [-C PEERID | --connect=PEERID] [-c FILENAME | --config=FILENAME] [-h | --help] [-i PEERID | --id=PEERID] [-k VALUE | --value=VALUE] [-L LOGLEVEL | --loglevel=LOGLEVEL] [-m | --monitor] [-n | --numeric] [-p PREFERENCE | --preference=PREFERENCE] [-q | --quotas] [-t TYPE | --type=TYPE] [-u | --used] [-V | --verbose] [-v | --version]

DESCRIPTION
gnunet-ats can be used to display information about the GNUnet's transport selection mechanism. It shows information about the addresses and the assigned input and output bandwidth.

OPTIONS

-a | --all
    List all addresses currently known to ats.

-C PEERID | --connect=PEERID
    Ask ATS to suggest an address for PEERID to transport to establish a connection. Note that you can use the gnunet-transport(1) commandline tool to force disconnects.

-c FILENAME | --config=FILENAME
    Use the configuration file FILENAME.

-h | --help
    Print short help on options.

-i PEERID | --id=PEERID
    Print information for a specific peer identity only.

-k VALUE | --value=VALUE
    Value to set for when changing preference values.

-L LOGLEVEL | --loglevel=LOGLEVEL
    Use LOGLEVEL for logging. Valid values are DEBUG, INFO, WARNING and ERROR.

-m | --monitor
    Monitor changes to the bandwidth assignments continuously.

-n | --numeric
    Do not resolve IP addresses to hostnames.

-p PREFERENCE | --preference=PREFERENCE
    Set preference values, -i, -k and -t required.

-q | --quotas
    Print quotas for all network types

-t TYPE | --type=TYPE
    Preference type to change: latency | bandwidth

-u | --used
    Print addresses actively used only

-V | --verbose
    Print verbose output (include ATS address properties)

v | -version
    Print GNUnet version number.

SEE ALSO
gnunet-transport(1)

The full documentation for gnunet is maintained as a Texinfo manual. If the info(1) and gnunet programs are properly installed at your site, the command

    info gnunet

should give you access to the complete handbook,

    info gnunet-c-tutorial

will give you access to a tutorial for developers.

Depending on your installation, this information is also available in gnunet(7) and gnunet-c-tutorial(7).

BUGS
Report bugs by using https://bugs.gnunet.org or by sending electronic mail to <bug-gnunet@gnu.org>.